Package com.omnisci.thrift.server

## Class TTableMeta

- java.lang.Object
- - com.omnisci.thrift.server.TTableMeta

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Comparable<TTableMeta>`, `org.apache.thrift.TBase<TTableMeta,​TTableMeta._Fields>`, `org.apache.thrift.TSerializable`

    public class TTableMeta
    extends Object
    implements org.apache.thrift.TBase<TTableMeta,​TTableMeta._Fields>, Serializable, Cloneable, Comparable<TTableMeta>

See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `TTableMeta._Fields` The set of fields this struct contains, along with convenience methods for finding and manipulating them.

### Field Summary

Fields
`List<String>` `col_names`
`List<TTypeInfo>` `col_types`
`boolean` `is_replicated`
`boolean` `is_view`
`long` `max_rows`
`long` `max_table_id`
`static Map<TTableMeta._Fields,​org.apache.thrift.meta_data.FieldMetaData>` `metaDataMap`
`long` `num_cols`
`long` `shard_count`
`long` `table_id`
`String` `table_name`

### Constructor Summary

Constructors
`TTableMeta()`
`TTableMeta​(TTableMeta other)` Performs a deep copy on other.
`TTableMeta​(String table_name, long num_cols, boolean is_view, boolean is_replicated, long shard_count, long max_rows, long table_id, long max_table_id, List<TTypeInfo> col_types, List<String> col_names)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addToCol_names​(String elem)`
`void` `addToCol_types​(TTypeInfo elem)`
`void` `clear()`
`int` `compareTo​(TTableMeta other)`
`TTableMeta` `deepCopy()`
`boolean` `equals​(TTableMeta that)`
`boolean` `equals​(Object that)`
`TTableMeta._Fields` `fieldForId​(int fieldId)`
`List<String>` `getCol_names()`
`Iterator<String>` `getCol_namesIterator()`
`int` `getCol_namesSize()`
`List<TTypeInfo>` `getCol_types()`
`Iterator<TTypeInfo>` `getCol_typesIterator()`
`int` `getCol_typesSize()`
`Object` `getFieldValue​(TTableMeta._Fields field)`
`long` `getMax_rows()`
`long` `getMax_table_id()`
`long` `getNum_cols()`
`long` `getShard_count()`
`long` `getTable_id()`
`String` `getTable_name()`
`int` `hashCode()`
`boolean` `isIs_replicated()`
`boolean` `isIs_view()`
`boolean` `isSet​(TTableMeta._Fields field)` Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
`boolean` `isSetCol_names()` Returns true if field col_names is set (has been assigned a value) and false otherwise
`boolean` `isSetCol_types()` Returns true if field col_types is set (has been assigned a value) and false otherwise
`boolean` `isSetIs_replicated()` Returns true if field is_replicated is set (has been assigned a value) and false otherwise
`boolean` `isSetIs_view()` Returns true if field is_view is set (has been assigned a value) and false otherwise
`boolean` `isSetMax_rows()` Returns true if field max_rows is set (has been assigned a value) and false otherwise
`boolean` `isSetMax_table_id()` Returns true if field max_table_id is set (has been assigned a value) and false otherwise
`boolean` `isSetNum_cols()` Returns true if field num_cols is set (has been assigned a value) and false otherwise
`boolean` `isSetShard_count()` Returns true if field shard_count is set (has been assigned a value) and false otherwise
`boolean` `isSetTable_id()` Returns true if field table_id is set (has been assigned a value) and false otherwise
`boolean` `isSetTable_name()` Returns true if field table_name is set (has been assigned a value) and false otherwise
`void` `read​(org.apache.thrift.protocol.TProtocol iprot)`
`TTableMeta` `setCol_names​(List<String> col_names)`
`void` `setCol_namesIsSet​(boolean value)`
`TTableMeta` `setCol_types​(List<TTypeInfo> col_types)`
`void` `setCol_typesIsSet​(boolean value)`
`void` `setFieldValue​(TTableMeta._Fields field, Object value)`
`TTableMeta` `setIs_replicated​(boolean is_replicated)`
`void` `setIs_replicatedIsSet​(boolean value)`
`TTableMeta` `setIs_view​(boolean is_view)`
`void` `setIs_viewIsSet​(boolean value)`
`TTableMeta` `setMax_rows​(long max_rows)`
`void` `setMax_rowsIsSet​(boolean value)`
`TTableMeta` `setMax_table_id​(long max_table_id)`
`void` `setMax_table_idIsSet​(boolean value)`
`TTableMeta` `setNum_cols​(long num_cols)`
`void` `setNum_colsIsSet​(boolean value)`
`TTableMeta` `setShard_count​(long shard_count)`
`void` `setShard_countIsSet​(boolean value)`
`TTableMeta` `setTable_id​(long table_id)`
`void` `setTable_idIsSet​(boolean value)`
`TTableMeta` `setTable_name​(String table_name)`
`void` `setTable_nameIsSet​(boolean value)`
`String` `toString()`
`void` `unsetCol_names()`
`void` `unsetCol_types()`
`void` `unsetIs_replicated()`
`void` `unsetIs_view()`
`void` `unsetMax_rows()`
`void` `unsetMax_table_id()`
`void` `unsetNum_cols()`
`void` `unsetShard_count()`
`void` `unsetTable_id()`
`void` `unsetTable_name()`
`void` `validate()`
`void` `write​(org.apache.thrift.protocol.TProtocol oprot)`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### table_name

    public String table_name

#### num_cols

    public long num_cols

#### is_view

    public boolean is_view

#### is_replicated

    public boolean is_replicated

#### shard_count

    public long shard_count

#### max_rows

    public long max_rows

#### table_id

    public long table_id

#### max_table_id

    public long max_table_id

#### col_types

    public List<TTypeInfo> col_types

#### col_names

    public List<String> col_names

#### metaDataMap

    public static final Map<TTableMeta._Fields,​org.apache.thrift.meta_data.FieldMetaData> metaDataMap

### Constructor Detail

#### TTableMeta

    public TTableMeta()

#### TTableMeta

    public TTableMeta​(String table_name,
                      long num_cols,
                      boolean is_view,
                      boolean is_replicated,
                      long shard_count,
                      long max_rows,
                      long table_id,
                      long max_table_id,
                      List<TTypeInfo> col_types,
                      List<String> col_names)

#### TTableMeta

    public TTableMeta​(TTableMeta other)

Performs a deep copy on other.

### Method Detail

#### deepCopy

    public TTableMeta deepCopy()

Specified by:
  `deepCopy` in interface `org.apache.thrift.TBase<TTableMeta,​TTableMeta._Fields>`

#### clear

    public void clear()

Specified by:
  `clear` in interface `org.apache.thrift.TBase<TTableMeta,​TTableMeta._Fields>`

#### getTable_name

    public String getTable_name()

#### setTable_name

    public TTableMeta setTable_name​(String table_name)

#### unsetTable_name

    public void unsetTable_name()

#### isSetTable_name

    public boolean isSetTable_name()

Returns true if field table_name is set (has been assigned a value) and false otherwise

#### setTable_nameIsSet

    public void setTable_nameIsSet​(boolean value)

#### getNum_cols

    public long getNum_cols()

#### setNum_cols

    public TTableMeta setNum_cols​(long num_cols)

#### unsetNum_cols

    public void unsetNum_cols()

#### isSetNum_cols

    public boolean isSetNum_cols()

Returns true if field num_cols is set (has been assigned a value) and false otherwise

#### setNum_colsIsSet

    public void setNum_colsIsSet​(boolean value)

#### isIs_view

    public boolean isIs_view()

#### setIs_view

    public TTableMeta setIs_view​(boolean is_view)

#### unsetIs_view

    public void unsetIs_view()

#### isSetIs_view

    public boolean isSetIs_view()

Returns true if field is_view is set (has been assigned a value) and false otherwise

#### setIs_viewIsSet

    public void setIs_viewIsSet​(boolean value)

#### isIs_replicated

    public boolean isIs_replicated()

#### setIs_replicated

    public TTableMeta setIs_replicated​(boolean is_replicated)

#### unsetIs_replicated

    public void unsetIs_replicated()

#### isSetIs_replicated

    public boolean isSetIs_replicated()

Returns true if field is_replicated is set (has been assigned a value) and false otherwise

#### setIs_replicatedIsSet

    public void setIs_replicatedIsSet​(boolean value)

#### getShard_count

    public long getShard_count()

#### setShard_count

    public TTableMeta setShard_count​(long shard_count)

#### unsetShard_count

    public void unsetShard_count()

#### isSetShard_count

    public boolean isSetShard_count()

Returns true if field shard_count is set (has been assigned a value) and false otherwise

#### setShard_countIsSet

    public void setShard_countIsSet​(boolean value)

#### getMax_rows

    public long getMax_rows()

#### setMax_rows

    public TTableMeta setMax_rows​(long max_rows)

#### unsetMax_rows

    public void unsetMax_rows()

#### isSetMax_rows

    public boolean isSetMax_rows()

Returns true if field max_rows is set (has been assigned a value) and false otherwise

#### setMax_rowsIsSet

    public void setMax_rowsIsSet​(boolean value)

#### getTable_id

    public long getTable_id()

#### setTable_id

    public TTableMeta setTable_id​(long table_id)

#### unsetTable_id

    public void unsetTable_id()

#### isSetTable_id

    public boolean isSetTable_id()

Returns true if field table_id is set (has been assigned a value) and false otherwise

#### setTable_idIsSet

    public void setTable_idIsSet​(boolean value)

#### getMax_table_id

    public long getMax_table_id()

#### setMax_table_id

    public TTableMeta setMax_table_id​(long max_table_id)

#### unsetMax_table_id

    public void unsetMax_table_id()

#### isSetMax_table_id

    public boolean isSetMax_table_id()

Returns true if field max_table_id is set (has been assigned a value) and false otherwise

#### setMax_table_idIsSet

    public void setMax_table_idIsSet​(boolean value)

#### getCol_typesSize

    public int getCol_typesSize()

#### getCol_typesIterator

    public Iterator<TTypeInfo> getCol_typesIterator()

#### addToCol_types

    public void addToCol_types​(TTypeInfo elem)

#### getCol_types

    public List<TTypeInfo> getCol_types()

#### setCol_types

    public TTableMeta setCol_types​(List<TTypeInfo> col_types)

#### unsetCol_types

    public void unsetCol_types()

#### isSetCol_types

    public boolean isSetCol_types()

Returns true if field col_types is set (has been assigned a value) and false otherwise

#### setCol_typesIsSet

    public void setCol_typesIsSet​(boolean value)

#### getCol_namesSize

    public int getCol_namesSize()

#### getCol_namesIterator

    public Iterator<String> getCol_namesIterator()

#### addToCol_names

    public void addToCol_names​(String elem)

#### getCol_names

    public List<String> getCol_names()

#### setCol_names

    public TTableMeta setCol_names​(List<String> col_names)

#### unsetCol_names

    public void unsetCol_names()

#### isSetCol_names

    public boolean isSetCol_names()

Returns true if field col_names is set (has been assigned a value) and false otherwise

#### setCol_namesIsSet

    public void setCol_namesIsSet​(boolean value)

#### setFieldValue

    public void setFieldValue​(TTableMeta._Fields field,
                              Object value)

Specified by:
  `setFieldValue` in interface `org.apache.thrift.TBase<TTableMeta,​TTableMeta._Fields>`

#### getFieldValue

    public Object getFieldValue​(TTableMeta._Fields field)

Specified by:
  `getFieldValue` in interface `org.apache.thrift.TBase<TTableMeta,​TTableMeta._Fields>`

#### isSet

    public boolean isSet​(TTableMeta._Fields field)

Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise

Specified by:
  `isSet` in interface `org.apache.thrift.TBase<TTableMeta,​TTableMeta._Fields>`

#### equals

    public boolean equals​(Object that)

Overrides:
  `equals` in class `Object`

#### equals

    public boolean equals​(TTableMeta that)

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### compareTo

    public int compareTo​(TTableMeta other)

Specified by:
  `compareTo` in interface `Comparable<TTableMeta>`

#### fieldForId

    public TTableMeta._Fields fieldForId​(int fieldId)

Specified by:
  `fieldForId` in interface `org.apache.thrift.TBase<TTableMeta,​TTableMeta._Fields>`

#### read

    public void read​(org.apache.thrift.protocol.TProtocol iprot)
              throws org.apache.thrift.TException

Specified by:
  `read` in interface `org.apache.thrift.TSerializable`
Throws:
  `org.apache.thrift.TException`

#### write

    public void write​(org.apache.thrift.protocol.TProtocol oprot)
               throws org.apache.thrift.TException

Specified by:
  `write` in interface `org.apache.thrift.TSerializable`
Throws:
  `org.apache.thrift.TException`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### validate

    public void validate()
                  throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`